#!/usr/bin/env python3

from numpy import random as RND
RND.seed(4321)

micros = """
Agrobacterium tumefaciens
Ammonia tepida
Amoeba proteus
Beauveria bassiana
Borrelia burgdorferi
Botrytis cinerea
Cetraria islandica
Chaetoceros furcellatus
Chaos carolinensis
Chlamydomonas reinhardtii
Chlorella vulgaris
Cornutella profunda
Cryptococcus neoformans
Cutibacterium acnes
Didymosphenia geminata
Entamoeba histolytica
Enterobacter cloacae
Epidermophyton floccosum
Erysiphe alphitoides
Euglena gracilis
Helicobacter pylori
Lactiplantibacillus casei
Lactococcus lactis
Lingulodinium polyedra
Naegleria fowleri
Neisseria gonorrhoeae
Ophiocordyceps unilateralis
Oxyrrhis marina
Paramecium bursaria
Paramecium caudatum
Pediastrum duplex
Penecillium glaucum
Penicillium chrysogenum
Plasmodium falciparum
Pleurococcus vulgaris
Saccharomyces cerevisiae
Salmonella Enteritidis
Spirulina major
Staphylococcus aureus
Stentor coeruleus
Streptococcus mutans
Surirella elegans
Tetrahymena thermophila
Toxoplasma gondii
Vibrio fischerii
Wolbachia pipientis
Yersinia pestis
"""

makros = """
Amine B.
Amine EA.
Amir
Bas
Briek
Erika
Friso
Hafsa
Hazal
Hiba
Ibrahim
Kaoutar
Konain
Marie
Matteo DC.
Matteo ES.
Michiel
Moussa
Pepe
Rayan
Tijn
Umayma
Zakaria
"""

microorganismen = micros.split("\n")[1:-1]
leerlingen = makros.split("\n")[1:-1]

keuze = RND.choice(microorganismen, 2*len(leerlingen), replace = False)
k1 = keuze[:len(leerlingen)]
k2 = keuze[-len(leerlingen):]

for nr, (lln, organisme1, organisme2) in enumerate(zip(leerlingen, k1, k2)):
    print (f"{nr+1:>2}. {lln:<12}: {organisme1}, {organisme2}")


'''
|  1. Amine B.    | Lingulodinium polyedra | Entamoeba histolytica |
|  2. Amine EA.   | Paramecium caudatum | Salmonella Enteritidis |
|  3. Amir        | Naegleria fowleri | Chlorella vulgaris |
|  4. Bas         | Botrytis cinerea | Neisseria gonorrhoeae |
|  5. Briek       | Saccharomyces cerevisiae | Streptococcus mutans |
|  6. Erika       | Enterobacter cloacae | Tetrahymena thermophila |
|  7. Friso       | Cutibacterium acnes | Pediastrum duplex |
|  8. Hafsa       | Cryptococcus neoformans | Penicillium chrysogenum |
|  9. Hazal       | Yersinia pestis | Cetraria islandica |
| 10. Hiba        | Paramecium bursaria | Epidermophyton floccosum |
| 11. Ibrahim     | Chaetoceros furcellatus | Plasmodium falciparum |
| 12. Kaoutar     | Ammonia tepida | Euglena gracilis |
| 13. Konain      | Amoeba proteus | Vibrio fischerii |
| 14. Marie       | Chaos carolinensis | Agrobacterium tumefaciens |
| 15. Matteo DC.  | Beauveria bassiana | Lactococcus lactis |
| 16. Matteo ES.  | Didymosphenia geminata | Wolbachia pipientis |
| 17. Michiel     | Penecillium glaucum | Chlamydomonas reinhardtii |
| 18. Moussa      | Staphylococcus aureus | Spirulina major |
| 19. Pepe        | Surirella elegans | Cornutella profunda |
| 20. Rayan       | Ophiocordyceps unilateralis | Stentor coeruleus |
| 21. Tijn        | Borrelia burgdorferi | Toxoplasma gondii |
| 22. Umayma      | Helicobacter pylori | Oxyrrhis marina |
| 23. Zakaria     | Lactiplantibacillus casei | Erysiphe alphitoides |
'''
